using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("LookupData")]
    public class LookupData
    {
        [Column("Category")]
        public string? Category { get; set; }

        [Column("CreatedOn")]
        public DateTime? CreatedOn { get; set; }

        [Column("Description")]
        public string? Description { get; set; }

        [Column("LookupData_UID")]
        public Guid LookupData_UID { get; set; }

        [Column("LookupDataID")]
        public int LookupDataID { get; set; }

        public List<LookupDataValue> LookupDataValues { get; set; } = [];

        [Column("Name")]
        public string Name { get; set; }

        [Column("ParentCategory")]
        public string? ParentCategory { get; set; }
    }
}